Bug 6169 - Impossible to set keyboard autorepeat rate in X.
Summary: Impossible to set keyboard autorepeat rate in X.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-21 00:43 UTC by jst
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-03 20:02:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jst 1999-10-21 00:43:34 UTC
The keyboard rate in redhat 6.1 is very slow and there
doesn't seem to be a way of changing this, tried GNOME
control center and also tweaked XF86Config by hand but
no luck so far. PS2 keyboard, Mach64 X server, 400MHz
PII.

This might not be very serious but it is very annoying.

------- Additional Comments From   10/21/99 12:56 -------
could be realated to bug # 5592, installer creates empty
/etc/sysconfig/keyboard  file.

Comment 1 jst 1999-10-22 14:09:59 UTC
Could be but I tried to copy /etc/sysconfig/keyboard from a RedHat
6.0 system (where I don't see this same problem) but that didn't fix
the problem on my 6.1 system.

Comment 2 depub1 1999-11-03 18:40:59 UTC
kbdrate -s -r 30 -d 350
or any other parameters does not seem to affect autorepeat either
I neeeeeeeeeeed a workaround

Comment 3 depub1 1999-11-03 18:42:59 UTC
Oh, kbdrate does seem to work if you are root!

Comment 4 Preston Brown 1999-11-03 18:51:59 UTC
you must use kbdrate to set your speed, as you have discovered.
However, our next release of Red Hat Linux will have the "xset r"
functionality implemented.

Comment 5 jst 1999-11-03 19:09:59 UTC
Thank you depub1@mxsi.com, kbdrate as root did the trick,

You just made my ddddddaaaaaayyyyyyyyyyyyyy.......... :)

Looking forward to the next RH release...


Note You need to log in before you can comment on or make changes to this bug.